#ifndef RUSIFICATIONWIDGET_H
#define RUSIFICATIONWIDGET_H

#include <QWidget>

namespace Ui {
class RusificationWidget;
}

class LegacyApp;

class RusificationWidget : public QWidget
{
    Q_OBJECT

public:
    explicit RusificationWidget(LegacyApp *_app, QWidget *parent = 0);
    ~RusificationWidget();

private:
    void hide_all_import_widgets();

private slots:
    void on_database_import_radiobutton_clicked();

    void on_file_import_radiobutton_clicked();

    void on_textfragment_import_radiobutton_clicked();

private:
    Ui::RusificationWidget *ui;
    LegacyApp *app;
};

#endif // RUSIFICATIONWIDGET_H
