#include "gui\settingswidget.h"
#include "ui_settingswidget.h"
#include "legacyapp.h"

SettingsWidget::SettingsWidget(LegacyApp *_app, QWidget *parent) :
    QWidget(parent),
    ui(new Ui::SettingsWidget),
    app(_app)
{
    ui->setupUi(this);
}

SettingsWidget::~SettingsWidget()
{
    delete ui;
}

void SettingsWidget::UpdateFolderPath()
{
//    QString path =
}

void SettingsWidget::on_download_restrict_slider_valueChanged(int value)
{
    if (value >= 1024) {
        double new_value = double(value) / 1024;
        ui->download_speed_label_common->setText(QString::number(new_value, 'g', 2) + " Мб/с");
    } else {
        ui->download_speed_label_common->setText(QString::number(value) + " Кб/с");
    }
}

void SettingsWidget::on_interface_scale_slider_valueChanged(int value)
{
    ui->interface_scale_value_common->setText(QString::number(value) + "%");
    app->window.resize(900 * value / 100, 650 * value / 100);
}

void SettingsWidget::on_fonts_scale_slider_valueChanged(int value)
{
    ui->fonts_scale_value_common->setText(QString::number(value) + "%");
}
